package fr.univlyon1.tiw1.inscriptions;

import fr.univlyon1.tiw1.inscriptions.modele.Event;
import fr.univlyon1.tiw1.inscriptions.modele.Person;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.validation.constraints.NotNull;
import java.util.Collection;

/**
 * Created by ecoquery on 19/10/2016.
 */
@WebService(targetNamespace = Constants.SERVICE_NAMESPACE)
public interface InscriptionsService {

    @WebResult(name="personne")
    Person metAJourPersonne(@WebParam(name="personne") Person person);

    @WebResult(name = "inscription-valide")
    boolean inscrire(@NotNull @WebParam(name = "email") String email, @NotNull @WebParam(name = "titre") String titreEvenement) throws EvenementInconnuException;

    @WebResult(name="evenement")
    Collection<Event> evenements();
}
